### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `core.payloadpage`

A payload based version of page.

## 2 Functions

`IPython.core.payloadpage.``page`(strng, start=0, screen_lines=0, pager_cmd=None)

  Print a string, piping through a pager.

  This version ignores the screen_lines and pager_cmd arguments and uses IPython’s payload system instead.

  Parameters:

  strng : str or mime-dict

  > Text to page, or a mime-type keyed dict of already formatted data.

  start : int

  > Starting line at which to place the display.

`IPython.core.payloadpage.``install_payload_page`()

  DEPRECATED, use show_in_pager hook

  Install this version of page as IPython.core.page.page.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »